GNU bug report logs - #14084
24.3.50; `substitute-command-keys': allow for expansion of <remap>...

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: "Drew Adams" <drew.adams@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 14084 <at> debbugs.gnu.org and "Drew Adams" <drew.adams@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 14084 <at> debbugs.gnu.org:


Received: (at 14084) by debbugs.gnu.org; 9 Jun 2022 14:42:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 10:42:08 2022
Received: from localhost ([127.0.0.1]:47271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzJMN-0001Yo-SN
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 10:42:08 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nzJMJ-0001YA-AV
 for 14084 <at> debbugs.gnu.org; Thu, 09 Jun 2022 10:42:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=L4qcY76psVT43jlkP4jtx90ZVskixvlxnXs+fmj84JI=; b=r/8wWRCr0g2GDUtJLWzwWyZr47
 ju/2nID6jMEwzDF5YXW8S5J7L18F9AVUgpTpDeGpGioAIt+199/XKtZKfMM0xDv0Y+DNKEaaVxTLd
 t9WewOhGbRouNKJkVhsASxraEqGeKlPrSWs332rzFloGrEquaDKaZP12mGYrgXD+gpug=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nzJM7-000164-OC; Thu, 09 Jun 2022 16:41:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#14084: 24.3.50; `substitute-command-keys': allow for
 expansion of <remap>...
References: <A775742E24DA4D6E89AB465FF5859E6A@HIDDEN>
 <87y1z9h6nh.fsf@HIDDEN>
X-Now-Playing: Farben's _textstar+_: "farben Says Love To Love You Baby
 (Remaster 2022)"
Date: Thu, 09 Jun 2022 16:41:49 +0200
In-Reply-To: <87y1z9h6nh.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 10 May 2022 15:13:54 +0200")
Message-ID: <87a6al3nma.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > I think the `C-h
 b' output could perhaps be reorganised, because bar and > foo frequently
 are displayed far apart, so the person looking for the > key for bar would
 have to look around. > > We could [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 14084
Cc: 14084 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I think the `C-h b' output could perhaps be reorganised, because bar and
> foo frequently are displayed far apart, so the person looking for the
> key for bar would have to look around.
>
> We could, for instance, add an extra line here.
>
> But did you have other contexts in mind?

Apparently not, so I've now added code to Emacs 29 that results in this
sort of display:


<remap> <display-buffer>                ido-display-buffer
C-x 4 C-o                               display-buffer
<remap> <display-buffer-other-frame>    ido-display-buffer-other-frame
C-x 5 C-o                               display-buffer-other-frame
<remap> <insert-buffer>                 ido-insert-buffer
C-x x i                                 insert-buffer
<remap> <kill-buffer>                   ido-kill-buffer
C-x k                                   kill-buffer
<remap> <switch-to-buffer>              ido-switch-buffer
C-x b                                   switch-to-buffer
<remap> <switch-to-buffer-other-frame>  ido-switch-buffer-other-frame
C-x 5 b                                 switch-to-buffer-other-frame
<remap> <switch-to-buffer-other-window> ido-switch-buffer-other-window
C-x 4 b                                 switch-to-buffer-other-window


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14084; Package emacs. Full text available.

Message received at 14084 <at> debbugs.gnu.org:


Received: (at 14084) by debbugs.gnu.org; 10 May 2022 16:28:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 12:28:17 2022
Received: from localhost ([127.0.0.1]:35041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noSif-0003iS-Bg
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 12:28:17 -0400
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:50992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1noSid-0003iK-KN
 for 14084 <at> debbugs.gnu.org; Tue, 10 May 2022 12:28:16 -0400
Received: from pps.filterd (m0246629.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.17.1.5/8.17.1.5) with ESMTP id 24AFS3j8007656;
 Tue, 10 May 2022 16:28:14 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=TDwR6cH/LoXBg6v1EKsVVm03epbpaTQ9zs/HXRyDsMU=;
 b=ZRkFQynkwQc0y/kABsQPNeYuIP5H0lOtJJ1pwRWvT7ZqRmkeCihNdsHxW9yKdHZZpO2x
 2FbnywxpiqoLXO12X5J3N3FdBVOFYYuHKW2OxUkg19C68y+/tKEniAOwXfw1TStiBnui
 14vGO7lxKw92JLmu1zZRNY8/VNkPPrdnxJekIE1eT7nboMQwtUSS3flIRbUToRVwu3Dj
 FfLzuT+8qwbuwL7DUQmLpZzSe8//zltuspPclUrW5wXzKHUkxiiz4ckM5NlY+uXpe/Em
 cVV+rdxR4qDcR+qggmb1ICeFSHkx7dX+vuoWyRmR2jq0gjMvxGwSqI1I2rj4r5wgLS2X 3Q== 
Received: from iadpaimrmta03.imrmtpd1.prodappiadaev1.oraclevcn.com
 (iadpaimrmta03.appoci.oracle.com [130.35.103.27])
 by mx0b-00069f02.pphosted.com (PPS) with ESMTPS id 3fwgn9q0vg-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 10 May 2022 16:28:13 +0000
Received: from pps.filterd
 (iadpaimrmta03.imrmtpd1.prodappiadaev1.oraclevcn.com [127.0.0.1])
 by iadpaimrmta03.imrmtpd1.prodappiadaev1.oraclevcn.com (8.16.1.2/8.16.1.2)
 with SMTP id 24AGQlYA016197; Tue, 10 May 2022 16:28:12 GMT
Received: from nam10-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam10lp2105.outbound.protection.outlook.com [104.47.58.105])
 by iadpaimrmta03.imrmtpd1.prodappiadaev1.oraclevcn.com with ESMTP id
 3fwf731fjh-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 10 May 2022 16:28:12 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ilXhBDzGetJxW5LzEdHH1MqyzoXW6Mq2DGVGv1TXaDvTLWSs7/kYonlPAkF4bBLY6VNKmObpGSAfQ7UpLjHd+5BK/DEjRAeZO3bHG+kAyOnt7j3/G4h9xbXiDIH3YeBHq+WMOfEd4RGjEDp5TKQdHbiUjJpdtjj19+eLKT+pBdnYy2Zed99j9DnEoVO/vJjyK1G1I1PvFmPl3y2oSdyMjodNM2rN1ncvdA9+CrRo6inXycWpy/2eUrDdfCGTNWAEwq2jlNJlwH3ldbsBuU1rpxTVG5u59yE7TyKkGATD5s+UhjlldXfr9uqNMVbSu6Oxdxu1omzq2wv4UbrtH05Pdw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=TDwR6cH/LoXBg6v1EKsVVm03epbpaTQ9zs/HXRyDsMU=;
 b=QbzD7YhjLbL0l+eYwu4RW4hgFq34JanSHHZoOEJ2rE4I6pqK7fi03UShhK5OwjE9TRGks3mZ3/dnJzyuUdyzMy+TfYBLaDLTKQaujHagf0zJ7CRsQ57PkuZE9w0PQQxCqzhFltYxG8NXS/Gq9IElBbR3/Ei3PMV/D9NZf+atE9q1JSomSxVuFbf1h3N9DS8yw1QL6xG7Bzcc5p7oye3LvDC+pIVHm+wbVEfBa9zYPi0+r6hDDbMy4F2uamz+TEOucCNNQEdXH0Ph302WKHBGQh1U+CUi73HV/eus6FUbVTgzRXOhhGRZ7jKrJ3pvDwCAIx/3giCXQqGyoooegZqhJg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=TDwR6cH/LoXBg6v1EKsVVm03epbpaTQ9zs/HXRyDsMU=;
 b=XrhDy4SiGMgobbxlEsxadXoQv/cBn/2I8OmQj8J0eako+6zfrcTr3CWAZFgAuLoLrNC3SomLTWYuiMUJzOmS+bKrJrbnHFJr6maC/KkSsjfcDtbcl/VpK+c6DWc9RG6F64EtHz1ohfCuVtwmAK4eLpuWiCxYDSLHtk2Vmgd7+As=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by PH0PR10MB4695.namprd10.prod.outlook.com (2603:10b6:510:3f::8) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5227.22; Tue, 10 May
 2022 16:28:10 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::a0e7:5f38:ab50:5123]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::a0e7:5f38:ab50:5123%9]) with mapi id 15.20.5227.023; Tue, 10 May 2022
 16:28:10 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : Re: bug#14084: 24.3.50; `substitute-command-keys':
 allow for expansion of <remap>...
Thread-Topic: [External] : Re: bug#14084: 24.3.50; `substitute-command-keys':
 allow for expansion of <remap>...
Thread-Index: AQHYZIf7pZExrx+Dv0S3EauyjgTAaq0YR14Q
Date: Tue, 10 May 2022 16:28:10 +0000
Message-ID: <SJ0PR10MB5488710F797A193C4241242DF3C99@HIDDEN>
References: <A775742E24DA4D6E89AB465FF5859E6A@HIDDEN>
 <87y1z9h6nh.fsf@HIDDEN>
 <SJ0PR10MB548869709F38920B24DE05AAF3C99@HIDDEN>
 <87a6bpfkub.fsf@HIDDEN>
 <SJ0PR10MB54882CD764472CA858634F8AF3C99@HIDDEN>
 <87zgjpe5jp.fsf@HIDDEN>
In-Reply-To: <87zgjpe5jp.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 77fbc2a8-284a-4e29-bd6e-08da32a212b6
x-ms-traffictypediagnostic: PH0PR10MB4695:EE_
x-microsoft-antispam-prvs: <PH0PR10MB4695879D6F799362162A63B0F3C99@HIDDEN>
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: v/sU9OjT2CAl2t4Ql22DTPHsds8m7UNL73n94IbG8gWKdwpI6YXRuTNFRY/NdrkRAkFQ63X68KZeFtjaionF85GCMqAJcAifed2s0RJtXfAszZUsiVx8UCuTjLMLCqLrh5gAiEkCpAm7aWZDZcVBBUTBJ0MQJdSQ07/PEgs6FRzvba+k+UaZEb0VnU5ZwOB5SDDSIQKYe7pE7txmJRHJf56YOCE8svnGpVgtPmhYJVxvFNtwkuE0LhpTC9HwDlRqzxpxCL8JWGmZ555eL0iX5Zc78Qys5YxFhHBvPHO2Y8uHgFf70Jy8s6TQ4ytuOnX0ZGXs2yrSWgODUiWZnuCQVIcmQSr850fd0MPm6o1fQ1KNF0+0FUZKR3mu7YxCc3/AXJQgG5lllZTN7gZ75tR5bAoJeQ522iYsDO4LHZz/7NHFh8z06j7qA421pj7gyzU78vdUbFTj2IofbPdw3+WX3E4eTho0rSe7a32hn2314z5+ZxnEora9i0jjlj6dmkfpBurLcGaB0VcauxRTYoJRE3gSQbuYvfJHTe/AprKE+o5yNs+bX03rsME9ukaDSi/lpQ1ljzZWdwQjF2S9DUJ42qwOzH/liwOjfYHJx+vt7LZn4HFTvxNGSUCMi57sn0eCk1kWCigPYPfZad38rbsAA+gz/qReL3e4cPZ9fhTlZSoA62iubr6RWtN0s0sRHqybZYvojBT3OPqCIaJsHWFa9Wx5SGaCof7UgpCukEycGdo=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230001)(366004)(44832011)(55016003)(122000001)(83380400001)(52536014)(33656002)(8936002)(6916009)(66946007)(4326008)(66556008)(8676002)(64756008)(76116006)(66476007)(66446008)(38070700005)(38100700002)(316002)(71200400001)(9686003)(26005)(508600001)(2906002)(5660300002)(186003)(6506007)(86362001)(7696005)(81973001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?7BzqoUzcnFcyDboTAr5328+4691seDCUK6+JARvHXQjmDPy2uqyo7nn6+TXd?=
 =?us-ascii?Q?IVIxzN24Znn0HiICnIA2fE1l0BBaaIm8+cmREYYMXyvHJRQESfILy+NhhjnW?=
 =?us-ascii?Q?nLUcY2CvrH5Ve3Jjv8yeaCghrzHNmjpe1VDB1RIshJ5PVna85SuZ983Ikfbl?=
 =?us-ascii?Q?KHzvx5zwZ8IASsW0J0cFqj+9ADnm8lzaX7ek1fydjuQPBW1OmIlYuNuOQFwc?=
 =?us-ascii?Q?SbpTeGZHlHNvm/cKzkmnYKTwOezwtuj9FQd7mhVmyfIq/y3UKTPIW/ty/FhX?=
 =?us-ascii?Q?TFHe1PfHVL2n1ae//YAmTgi7izpBFtKrUiOdx+aq6lKaJlOs7vVwWpMqcBxg?=
 =?us-ascii?Q?Juq951NN7zWie+ExAFtNb3HZQl9tMQXiwdIYkKtfjYOhz1atmvIJX3ckrwkD?=
 =?us-ascii?Q?cL/OvLFJoclCixTgt8vECbVhPAy3VLS+jQ2BtHI2VI6tyXc+DxkKEXWf1RhW?=
 =?us-ascii?Q?Mld5kB+HuD1EYdpDO+zlbCcOPmQaIvLYg2YsATu/rHBSo7xJuLywhhpFafZg?=
 =?us-ascii?Q?dpWasCuwaxSlv2jF3WHee9GI17Pl0COCV+D5zSbm4rdSLGxX6/KtbCfLJvcK?=
 =?us-ascii?Q?fDEFe/Q5cUbdb51RnS0WxXWyEWb8nEno6vShczloclyDJaodNWK9UCP+c950?=
 =?us-ascii?Q?Wh5gJtsL1xkcUromNW3IP1kIonSnBKDOePtPGcgnsen4hgCUQQ2FChiRYJER?=
 =?us-ascii?Q?LW15rn2JCyGMxi9HPAMZwXDbCJPDEwSNrMjo8dTGhyHyfmcvAMu9Y+B/MXhP?=
 =?us-ascii?Q?ysdUe7UJ3QsYhqaDgq7NFbbRAIxHViPAzf5KZ8JgKyamSLRSnSq/VN8ALzHA?=
 =?us-ascii?Q?hduMSepEB1GnNyvGAWTfhWYmsdR8Eox524qo5FgLjxmz9JbGkt976ZIXsQmd?=
 =?us-ascii?Q?/DusUR4KHQ3fyxgGTU6IjSXw4kxDU+lu8Z1gBo+QEqVE1G8k1RPiLmmkjgFk?=
 =?us-ascii?Q?kxX5wyLdnTOiiZjJDwHJke/CUPKXAAzaarPoGADeqLBbEDaFSu+aNz8AiLP7?=
 =?us-ascii?Q?Unk1/cCZMraY1cBV9mhvOcFYlloS1Mn39s/Si52J45B+mfN6x81B4kj7AU+u?=
 =?us-ascii?Q?TmO+MpYMiYdaUHhEjSChyVWpeoeGLsdvp0vuuS7pA6YXa6046OaXoGg3NDVz?=
 =?us-ascii?Q?hC9NT5N8wr5wOaHyfmzPLwCR//2TddnijqfR5n9BX7arcuROY521qd/nJ2fg?=
 =?us-ascii?Q?Ibou2d18HA3z9D2ZxeiTtAyHYabMDqpKYFhLmdsz0RQzDAsnMMGdxH4aT1jN?=
 =?us-ascii?Q?uTLS92GKmAtXribmM26bAsnmKPGB+H1kcjv4UovEgysaES32iPTMTlijoqr5?=
 =?us-ascii?Q?tttrUy70cpdX9xc89Hm969DqKjtI6sUKqsjNHXWTRV9NcITiJZkK73PUsaLy?=
 =?us-ascii?Q?aW+/fqRGJPnugN5EdB9n5TsFLFATfHgaAYf5MYnUkbgbvw0E+f+okWOomKzo?=
 =?us-ascii?Q?TqffbTGI5XISN2lm7G/hGyTOM9oXMXLOkML2KUkBGoPRqZwV+1i4vZcfDZzo?=
 =?us-ascii?Q?HVtKuI1bs2tts40ss0dZnXksfRi5M39zKSpO6gTgxBQRiqAN80mvOf9J+DH8?=
 =?us-ascii?Q?sJi3asfSM1i4fkUWs5td6gOQxouTYK5i9R8VEE2ge4LSomtEGTmk0Ao0NLQV?=
 =?us-ascii?Q?T8BTm9cLQL09UWSUvvjDdTmjrDkbUO1kegFsT71ZFMb+wfzNoeijBWbQgFjl?=
 =?us-ascii?Q?EqqcAUKwmOhqlwBGEqBqUu/0DUbqCly+kuW4L1f7DdxHXAXlBQb86n8IjTgH?=
 =?us-ascii?Q?hcdZptN5EA=3D=3D?=
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 77fbc2a8-284a-4e29-bd6e-08da32a212b6
X-MS-Exchange-CrossTenant-originalarrivaltime: 10 May 2022 16:28:10.5934 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: pwxSGTqsfKMirhQk+ibDP4q5p8svG2uMVDL+SerN/iXHZIG4UE45evAHEARnZ2RdDF2BUOS9Es1GsdsF8RDK9A==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: PH0PR10MB4695
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.486, 18.0.858
 definitions=2022-05-10_04:2022-05-09,
 2022-05-10 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=999
 adultscore=0
 spamscore=0 phishscore=0 suspectscore=0 mlxscore=0 bulkscore=0
 malwarescore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2202240000 definitions=main-2205100072
X-Proofpoint-GUID: vCUnlRMudiwpY3Svjvf6mRrqj1OkcH7H
X-Proofpoint-ORIG-GUID: vCUnlRMudiwpY3Svjvf6mRrqj1OkcH7H
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14084
Cc: "14084 <at> debbugs.gnu.org" <14084 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > It doesn't matter for what circumstances someone
> > would want to use the new arg to specify any of
> > the 3 possible behaviors it should provide.
>=20
> I get it; you don't have a specific use case in mind,

That doesn't follow at all.  Each behavior is
useful.  I wouldn't have proposed 3 specific
behaviors if I didn't think each was useful.

> but just want this because you want it.

I think it's useful and makes sense.  But I
have no illusions that you'll find it so, i.e.,
that you'll "get it".

The original request stated the motivation/need:

 <remap> <reposition-window>     foo

 just obscures things, if a user doesn't know the
 currently active bindings of `reposition-window'.

That's the problem to fix.  I saw 3 alternative
ways it can make sense to address the problem,
and I specified them.

If you want to be constructive, maybe think about
those 3 ways or suggest alternative solutions.

Or not.  As is your wont, just close the bug as
wont-fix, if you don't agree there's a problem
to fix.

To me, the solution to the problem involves, as
the Subject line says, expanding the <remap>.

How to expand it?  What do you propose?  I think
different callers might want different expansions.
What do you think?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14084; Package emacs. Full text available.

Message received at 14084 <at> debbugs.gnu.org:


Received: (at 14084) by debbugs.gnu.org; 10 May 2022 16:06:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 12:06:17 2022
Received: from localhost ([127.0.0.1]:34988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noSNN-0000xp-3q
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 12:06:17 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1noSNK-0000xW-R0
 for 14084 <at> debbugs.gnu.org; Tue, 10 May 2022 12:06:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=IzYpIj7+NnoKOkVGwhDyWBbm/QQyixJP9GjrmS/CkE8=; b=b+hw5XsXKFdjtS7XiFmgB2f5+J
 y2zA/Na1hnwsFSHgKtWfe982LTIZo6ZpX+J+g/IIyB0wREZZrf7MNrTrRyW69DHwm/u8Ko9AWYDt/
 uUa9SjrjNSsrPfrmVOKahyefzQYrqSPIkwi3s1uvBlbIlTxJN5y0vzhbSiM65p3OThzU=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1noSN8-0005Um-Kp; Tue, 10 May 2022 18:06:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: [External] : Re: bug#14084: 24.3.50; `substitute-command-keys':
 allow for expansion of <remap>...
References: <A775742E24DA4D6E89AB465FF5859E6A@HIDDEN>
 <87y1z9h6nh.fsf@HIDDEN>
 <SJ0PR10MB548869709F38920B24DE05AAF3C99@HIDDEN>
 <87a6bpfkub.fsf@HIDDEN>
 <SJ0PR10MB54882CD764472CA858634F8AF3C99@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEX+/vrU3Nu8wLSY
 oqCxmW1Wa2JJTlFSd4ptlKmSZlP///8X6zY7AAAAAWJLR0QKaND0VgAAAAd0SU1FB+YFChAFCbMZ
 0roAAAGJSURBVDjL7dJBb5swFAfw8A0w+QR+UDU7xg8Seo0daRynzJidO1LtuLUN9JggFN8DU/1t
 azQphq5fYNLekR/Pwvz/s9m/N54/84j3ARDiEZ/4fwP8GRogIgNGryCGwVhsH6qDqqqfU4gjsa61
 QkzfAYv4SZ8Le+ByClR81rrdBTQgE9iABUhPQImD35c464R5PSKwYAqh7D696jAFJGQEBqHtzIUu
 CmbfH90U+BxNJ/hNXiyHn3CF4EJDY0TWy+fm3UawMoZnTB4KSjwH4V3/w1zQsFbWlI42wpeuL9Ow
 C1uOgvnuq+ad6bEmEbTfTLYbg+ll+otEX3tp5P3Mwe1znuqGrss85uX9aGOhcVHrk5byKSkVcUHd
 atS1PqZJKVWuwMH6LB+q5ths1lLK6tEdtWqUqvkyBriT6qxcUCvI9zFnDAYp8HiFhKJNPB0g2n5v
 HLC5fSaSjQWRlaONHSAXIrHxQiQOyrWkZeF+X26H5IXB6ourqO8RMmRHSGDL4O4x7fFHJf4/dt4A
 5rd3qaKzs1AAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDUtMTBUMTY6MDU6MDkrMDA6MDDVu1m3
 AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA1LTEwVDE2OjA1OjA5KzAwOjAwpObhCwAAAABJRU5E
 rkJggg==
X-Now-Playing: Joni Mitchell's _Mingus_: "A Chair In The Sky"
Date: Tue, 10 May 2022 18:06:02 +0200
In-Reply-To: <SJ0PR10MB54882CD764472CA858634F8AF3C99@HIDDEN>
 (Drew Adams's message of "Tue, 10 May 2022 16:03:16 +0000")
Message-ID: <87zgjpe5jp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Drew Adams <drew.adams@HIDDEN> writes: > It doesn't
 matter
 for what circumstances someone > would want to use the new arg to specify
 any of > the 3 possible behaviors it should provide. I get it; you don't
 have a specific use case in mind, but just want this because you want it. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 14084
Cc: "14084 <at> debbugs.gnu.org" <14084 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Drew Adams <drew.adams@HIDDEN> writes:

> It doesn't matter for what circumstances someone
> would want to use the new arg to specify any of
> the 3 possible behaviors it should provide.

I get it; you don't have a specific use case in mind, but just want this
because you want it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14084; Package emacs. Full text available.

Message received at 14084 <at> debbugs.gnu.org:


Received: (at 14084) by debbugs.gnu.org; 10 May 2022 16:03:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 12:03:26 2022
Received: from localhost ([127.0.0.1]:34963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noSKc-0000sJ-Hs
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 12:03:26 -0400
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:11290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1noSKY-0000s2-Cg
 for 14084 <at> debbugs.gnu.org; Tue, 10 May 2022 12:03:24 -0400
Received: from pps.filterd (m0246629.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.17.1.5/8.17.1.5) with ESMTP id 24AF3xpH019308;
 Tue, 10 May 2022 16:03:20 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=xAZkFhhsI6LZjitZqFv+vZIBhiRcEB0bpBXYNoFyGYk=;
 b=GdlGfpDf05khWV2u54uZ5yLTnTqHMu9hVldJNXcg25nTAB4mgoIY3cKh5IXIecyoYRM5
 KwD0THW6rey4WLwwAX5VB14cCmiDc9wOQHvXdKgh5bJN98Ufuw04wsTIuigsMKskIute
 FIF6KggoV0d8JuPFXyeXGOKrdKi5ubNVoBo+/XN3elVUtioovJYpRcjucVKwUNnMm4qt
 lJA+R3qFe/bgRAWb6uTBO9WVkGq3U9GkbveW25g8StZ4hm9uhWHYAweAgS28lhXn7hoD
 rImVziT6rPysiPKbsUU7uywL30j5cS+91JrKjTSCn52sHKHNPREQx6ighgy9loKp3+lZ QA== 
Received: from phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com
 (phxpaimrmta02.appoci.oracle.com [147.154.114.232])
 by mx0b-00069f02.pphosted.com (PPS) with ESMTPS id 3fwgn9pxhy-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 10 May 2022 16:03:20 +0000
Received: from pps.filterd
 (phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com [127.0.0.1])
 by phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com (8.16.1.2/8.16.1.2)
 with SMTP id 24AG1d3B040000; Tue, 10 May 2022 16:03:19 GMT
Received: from nam10-mw2-obe.outbound.protection.outlook.com
 (mail-mw2nam10lp2103.outbound.protection.outlook.com [104.47.55.103])
 by phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com with ESMTP id
 3fwf737b9n-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 10 May 2022 16:03:19 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=cZTcq3OzHF+ey3doQOJcoMUrJ9EHbEJAOAagR47aIyOXFfg4WiBx97QzKGI+7tZc3ugyrY9C6YW6t1VeYncDk7s5SaOpyIMOva3Ilu0F35qW4+G2trrhFmeV/25SPEZe+Rgs1KF85qwxEwbe7Taa4Wx2DSUErAQdP7wpoeYm+AGDmOLrpGNjktzpmxYAAhHbe5htYQfgg/xXTWUgASDMuvc9+bdIKZT+WY1uIfP0UCQR3OZ0FyKu+W0aU3akyWjg40jLh+NRABKmYu64X3Jmu5FROplU03nmu/+ayBuIi3cNkGeHxdVsVYgk/W3SnG2FhFPBGfI3ygtTz7d3RNxqeA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=xAZkFhhsI6LZjitZqFv+vZIBhiRcEB0bpBXYNoFyGYk=;
 b=mhMPtETZC2i3V4PdB2/IkgV83DeWJ9Skj5bp+tIbKjDNFgphGeVxFyaEn4mQsDzrs4mZ+E9NsMk+i7uZt92CJ9MRneiwwJKBsGbpyt0WizkPvIm/P9XRO12iaAkMwPfa6id0JKD+JoGJBi4quf3EuaYyD/XhHSRo06XUdkwPII9/o7biWKdc2BaioMquZ6nO2oRgeZ9J5BbSobESMYiBHOxX8yvhFm2+2A87tsCCkWFW8cKl7ZSVJ5+9hee0JwsD/lTX8lD4hjtFVEtZIqDi571KuzH2xffKSpKa3vA/EM055THK9a47K2Arqm6Y+YvthwVhkGb88Q8QbaY/799hpg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=xAZkFhhsI6LZjitZqFv+vZIBhiRcEB0bpBXYNoFyGYk=;
 b=pzn6to+GVi3mc/I6X38RS4B7oe9CVRTMzj395SYZACUzqFUg5Wxq+6KMhM+dJ8X/RbTwyKk9TsWV+7+gpmxP5LDsyloelu2YyJJRu8FxqLmDU2vvuNlexJ3Oy2hqCSUROm4sXiBsyeaAD+g3tKsNavQ4JHjuIlZegOrfkQe9KgI=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by SJ0PR10MB4446.namprd10.prod.outlook.com (2603:10b6:a03:2d9::13)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5227.21; Tue, 10 May
 2022 16:03:17 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::a0e7:5f38:ab50:5123]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::a0e7:5f38:ab50:5123%9]) with mapi id 15.20.5227.023; Tue, 10 May 2022
 16:03:16 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : Re: bug#14084: 24.3.50; `substitute-command-keys':
 allow for expansion of <remap>...
Thread-Topic: [External] : Re: bug#14084: 24.3.50; `substitute-command-keys':
 allow for expansion of <remap>...
Thread-Index: AQHYZIWxdk0rKFBRAUClQz+M4IHzcK0YQ5YQ
Date: Tue, 10 May 2022 16:03:16 +0000
Message-ID: <SJ0PR10MB54882CD764472CA858634F8AF3C99@HIDDEN>
References: <A775742E24DA4D6E89AB465FF5859E6A@HIDDEN>
 <87y1z9h6nh.fsf@HIDDEN>
 <SJ0PR10MB548869709F38920B24DE05AAF3C99@HIDDEN>
 <87a6bpfkub.fsf@HIDDEN>
In-Reply-To: <87a6bpfkub.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 262bd487-aae8-4bfb-8557-08da329e984f
x-ms-traffictypediagnostic: SJ0PR10MB4446:EE_
x-microsoft-antispam-prvs: <SJ0PR10MB444675FEB6E8332867D258FEF3C99@HIDDEN>
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: UxvH4G0okXpu1nFGZW0+ZFJ8yuLu+igczkYKkGI6nUlaCdowWWJrSPA2KBwdjfIqO69HfA6a3ozuYrF8W3Bu/htNVRKgvGUfCRJtwxkNdU5AkZAuCfT1Or5ZB1Em473Ly5oR/PE/LH1ZEM9Jq7rdcfYnoHirRVjXtcMTsGIoaYeahdxCzAg2VRxxIWNSThD/sw3mdXqpRA9iyzNOML59Pp8GO92QACmd+/iCTtHrFBoiOQOEVt0ItaizbuMHPc+bHTatmFkzoll5MyxM1iKcfAwFHxXYLwKx1pgcjlStpqVHx9ZP4UUdzx3g8/oM9UYv3GWvAX+qMz475To2ZZ4AKkbVYV1GUbwV//paj9v2z5/MKNGg7sUYghH16rQnVsOpWZD0whdBZUcH53KrOMjrWddqyAn+B+eI1fRynAc2hHoiXScwiTX8WPCn0x2eTjpub4bbybaR2rwIQ/FCj0nNhRFULXke/SSo4PeEAT+xTU2YvYH0BPUIJ4q/pvNvxEefWoEvAZlkA/F6CzFEu+bPrtIKGKOdIKbfmGCOF2A3XhNvAeW35TNJNgb2QEYp7ED2TdBaBFs2npwd2K1B2nKIL5UmRjNWfH9xFEZcVF69jy59MV2zvRJVpQHzBnm4mQZh0K50FeqGg4EQy41f6H3/ucic3zYAlMunV7LARsjzFGdYlOD7J+X3neYSsTSm6xVBxsWgVYeoXALC9LO3hzBxKkCuJT1UrBaqrog9/RdP7uo=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230001)(366004)(66446008)(6506007)(64756008)(7696005)(66946007)(76116006)(26005)(9686003)(8676002)(4326008)(86362001)(5660300002)(66556008)(66476007)(8936002)(52536014)(186003)(2906002)(44832011)(83380400001)(33656002)(71200400001)(508600001)(55016003)(316002)(6916009)(38100700002)(38070700005)(122000001)(81973001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?v0+w8x1SjpA8c1jTEY1wAPic0hpva7GCkHYovkAV6AhVwdtwbYtJkMYtYUMs?=
 =?us-ascii?Q?9W9tidZ4N1Aps+bIdpn8Y0Nbke0syqdpe7QHXcS0ydoUS6/ceqSL7We32kcH?=
 =?us-ascii?Q?mF2c3Oj4B0Wevq9zMZUeHjq7kHlI1B6gPNY6gxVogSg0Q2uJCsSE04aSIscM?=
 =?us-ascii?Q?pXmmjck5YAM+2O8ne+3dnYqOOQouhVu9iJkOisJjNE2N/st/zXbei0bG5yhW?=
 =?us-ascii?Q?LR0vK4HA7JVEgiRhLRbzT7CsjuImGCLb/u7CzyYdAe21Duf41NGvrbbAu0+j?=
 =?us-ascii?Q?UAaBIPC6B4YCzjTgzU6CDSZCOxsgcpwY7Pg9dWrX4TVqCizMKEQ2V7UjvMTi?=
 =?us-ascii?Q?hOZm66nDG7aRaCzlgvyiAZnGiwQo6F7bi9696he+NVtanLaAEgJWViX6n74e?=
 =?us-ascii?Q?+qvXhxReq6Cj5WzCTWU60esGjPqDEjXre0ml/Av5GW+tMtH+35o2XQEJrYjS?=
 =?us-ascii?Q?knFX1TBkd/T83I/qX3GaRq/9hu+l9sqkOamwbWw8Ac4lRANMqXiplQRM/+po?=
 =?us-ascii?Q?KO43EbjUfy+ZhxEGaJEQLWPUkS/7sn4I4gIYqYiub0ECpk+CRe94P02jGEHC?=
 =?us-ascii?Q?CS8NeQgy/DGNGkk8j6iT1D1kbEGPCi1PeIJ4RrPaKfMnpwncgquZ7dt0jmb3?=
 =?us-ascii?Q?rrDb287sS/r8gqxBEB6igmNxUydo8MdHxT8dR4DnNBYI2NbVRs+s2B6e5+qo?=
 =?us-ascii?Q?SGjtTyKYZpQep0qKHsWzC8dnoeDVoqAZFQDayxIXm95PHMW6pGecPxBplypN?=
 =?us-ascii?Q?K0Ij698uLB3FyILfLCgjFcwNoAQvspKrs2DmPqppszi8MxTZOvQn5l8YQaAR?=
 =?us-ascii?Q?T20uxtMMRYROxCJsacZNbb4c+zn6aTliCp8WV4TS7ZjrK7YD7N7Bk/cbEIXP?=
 =?us-ascii?Q?edkZUApWHIinUSI8vP5eeJtiSIq5X/558VGw1l8KNLqOk1Gs/im1cd0foY7J?=
 =?us-ascii?Q?HMQFMKP4gWtb7RKCDrD+4LfyF7POY5/EtiBH+OHcufnccYxGXNfX4GByxT4C?=
 =?us-ascii?Q?vUdq20avQerhDsAjl0pXWmQUc12dR3J61xwuiCHQjH2KgOkOT3HAhJ540sK6?=
 =?us-ascii?Q?uMiRakfDyvAPyAy3fxr76uFj8E2P5cxokyd07VrAtinRGe9qevTGkwVLk8TM?=
 =?us-ascii?Q?Np4TweQqez5EXa6TIxdcXipmZMFCwx/tkkOC2qhoWiXtz4k6xFFJ2NtA85qY?=
 =?us-ascii?Q?M7TSjq4aPTZqPmHIrZYidmRReuyFqQaQTdoOyehsl2XV/OubH6kFaSxpRNf8?=
 =?us-ascii?Q?Qc2d+X8fyNaTIfuvlSmR2lXfyeUk11VAlHuxUTHNkAFsPFn/a/CGHgl5C3M9?=
 =?us-ascii?Q?eUv6UwW4wFvJSvmlioHCDjkoNYqo4vqjZB/naXBC/bH+J8onCWZ3wZP6Rupc?=
 =?us-ascii?Q?2YcmM+9EEns+rG/LyvE5giyYmoFzuF+ARiAP2gTTcEZxrruiTepFWKWiVSGt?=
 =?us-ascii?Q?xAFiTbURDtj25wxxTs1K6wp4tvK17vDAkWuil7SvIxArr2AMY6dFwNUhAW8o?=
 =?us-ascii?Q?IGBCyPxK0mzJz3eLZtjW5kXCyIMVUAI4bagTHeRMVtOV/6FKxgO9jQNderTK?=
 =?us-ascii?Q?sHwrW7Q2+hcIDHuscdkNvakMUPdwEu6dnj/weTs3ZPY52cDFaqMsPoBkePhr?=
 =?us-ascii?Q?YST8SZdsdIeP7f4zcVjfMWeIl/c9dYHc84WMHWYeo4PgSoGzhw2viTaBPrkZ?=
 =?us-ascii?Q?7pq+XgtNP8Ybu+lq1ohhRf6KLd89z7zMAj5WADbXkRa6eJBMqJte+mz/FUi4?=
 =?us-ascii?Q?keSxDEWiNw=3D=3D?=
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 262bd487-aae8-4bfb-8557-08da329e984f
X-MS-Exchange-CrossTenant-originalarrivaltime: 10 May 2022 16:03:16.7447 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: thUQJUuXkUFf4WDni5NBq6lpaeIbFiSR9Q3F/kKqNliUiCLNXfj/JQ9U1hRsaPqEHVfQGeyKuNH8SPLgqJndGQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SJ0PR10MB4446
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.486, 18.0.858
 definitions=2022-05-10_04:2022-05-09,
 2022-05-10 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=999
 malwarescore=0
 suspectscore=0 phishscore=0 spamscore=0 bulkscore=0 mlxscore=0
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2202240000 definitions=main-2205100071
X-Proofpoint-GUID: QinqQG3Lad-kvpX24WASJ5YjYuFtRzdB
X-Proofpoint-ORIG-GUID: QinqQG3Lad-kvpX24WASJ5YjYuFtRzdB
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14084
Cc: "14084 <at> debbugs.gnu.org" <14084 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > Specific request, from the bug report - just please
> > modify `substitute-command' to add another arg that
> > provides for the behavior cited:
> >
> > ___
> > Please add an optional arg to `substitute-command-keys' that
> > changes the behavior.  Please allow for these 3 possibilities:
>=20
> I asked for an explanation of what the circumstances you wanted to see
> the different expansions were.  Restating the original bug report
> doesn't help here, but that's par for the course with your responses,
> of course, so that's OK.

It doesn't matter for what circumstances someone
would want to use the new arg to specify any of
the 3 possible behaviors it should provide.

It's up to _callers_ to choose which of those
behaviors to specify.  The new arg should allow
a caller to get any of the 3 behaviors - that's
the request.

The enhancement specifies what's requested.  How
or where Emacs itself might choose to use one
of the behaviors is irrelevant to the request,
and thus beyond its scope.  If you want to change
any callers in Emacs's own code, that's up to you.

My concern is for use of the function by users.
That's why I made the request.

Your apparent confusion about the idea of users
using Elisp functions is perhaps par for the
course.  But yes, Elisp, and Emacs generally, is
for _users_.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14084; Package emacs. Full text available.

Message received at 14084 <at> debbugs.gnu.org:


Received: (at 14084) by debbugs.gnu.org; 10 May 2022 15:50:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 11:50:47 2022
Received: from localhost ([127.0.0.1]:34904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noS88-0006jo-Kx
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 11:50:47 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1noS87-0006jY-G8
 for 14084 <at> debbugs.gnu.org; Tue, 10 May 2022 11:50:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=q5qntQV1OmIMwbHjQoSxei47oodHc0afG0RYRtQ5a7Q=; b=AdUFMT/hdoNWXZeb1JCjQJykIp
 dyIP7K67jE80CRLjtXLvSSA1Yx7cClnw86QPSjovzLTf5FjVikX1m5m6OPCh7Lwm6v5MN48OB9Dmu
 GF0ms+fRMKZ2diksxkJlLNGpMkyHq2SKtvO5cZBCipKOJ2KsEZifW/gSbV2g74Mso9lM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1noS7w-0005PI-ND; Tue, 10 May 2022 17:50:22 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: [External] : Re: bug#14084: 24.3.50; `substitute-command-keys':
 allow for expansion of <remap>...
References: <A775742E24DA4D6E89AB465FF5859E6A@HIDDEN>
 <87y1z9h6nh.fsf@HIDDEN>
 <SJ0PR10MB548869709F38920B24DE05AAF3C99@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAM1BMVEUNChABAQUMChEV
 DBQqEBswGSUWEhlbIy9NFyaNJS5iM0qNNVeRRElnRV+kXYgpIC7///99OnJfAAAAAWJLR0QQlbIN
 LAAAAAd0SU1FB+YFCg8xAoibHIgAAAFOSURBVEjH1VVbbsMwDKMellWnne9/20nOhjXBXMAoVnT6
 CZyQokgnDkBrtYp/BeE/esARtO6BX+wBo35WImcMTvRBEBkXVS0qkqsZQUzVRAJYXUfJuDEjwNyL
 qrteLpdgCHa8zBWidRC0BqEmTnSMN/OAEhoB0hoMHWayeVwnBDOgFEgJvLtQzAQNXZ6OFA/dHW27
 XutWi1DmCpunFLGGadw+tupby0EyqWL3hLNELyS3rbC2ihHDeR/OW92FpDUX1KGQfkEPPFghKq2G
 VWu6E8CHlE4vCjL8FCCquj+HyZzAY5fklja/9xd27HkYiPcOvaff7B4rfkhIEKF1YrFuZpGB9eMQ
 hxWEiWGhwG2knw14TuAwEZjeO0d/fH3/jz4g8AjfZMT1W73DQfY04e9P72WFN/yhvOFIa3DmNQKu
 bVGh+pwAuy9hYzYwL8f6CW6pDY52hwCuAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA1LTEwVDE1
 OjQ5OjAyKzAwOjAwwJPyjwAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNS0xMFQxNTo0OTowMisw
 MDowMLHOSjMAAAAASUVORK5CYII=
X-Now-Playing: Joni Mitchell's _Shadows And Light (2)_: "Woodstock"
Date: Tue, 10 May 2022 17:50:20 +0200
In-Reply-To: <SJ0PR10MB548869709F38920B24DE05AAF3C99@HIDDEN>
 (Drew Adams's message of "Tue, 10 May 2022 15:30:47 +0000")
Message-ID: <87a6bpfkub.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Drew Adams <drew.adams@HIDDEN> writes: > Specific request,
 from the bug report - just please > modify `substitute-command' to add another
 arg that > provides for the behavior cited: > > ___ > Please add an optional
 arg to `substitute-comma [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 14084
Cc: "14084 <at> debbugs.gnu.org" <14084 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Drew Adams <drew.adams@HIDDEN> writes:

> Specific request, from the bug report - just please
> modify `substitute-command' to add another arg that
> provides for the behavior cited:
>
> ___
> Please add an optional arg to `substitute-command-keys' that
> changes the behavior.  Please allow for these 3 possibilities:

I asked for an explanation of what the circumstances you wanted to see
the different expansions were.  Restating the original bug report
doesn't help here, but that's par for the course with your responses, of
course, so that's OK.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14084; Package emacs. Full text available.

Message received at 14084 <at> debbugs.gnu.org:


Received: (at 14084) by debbugs.gnu.org; 10 May 2022 15:30:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 11:30:56 2022
Received: from localhost ([127.0.0.1]:34858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noRp9-0004qR-0Y
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 11:30:55 -0400
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:40392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1noRp5-0004me-Pn
 for 14084 <at> debbugs.gnu.org; Tue, 10 May 2022 11:30:53 -0400
Received: from pps.filterd (m0246630.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.17.1.5/8.17.1.5) with ESMTP id 24ADiddq010445;
 Tue, 10 May 2022 15:30:51 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=98bump1IeMqnbIsebrNbGOwffnPyZdWhlmpdHHUgp+Q=;
 b=IY1Cmvbc408lw5aoDnOuXFf5RZW9nrK313mTF30gyKdTXBrfg1+eqyv6QvOIeHWur1iV
 FKbY2rRro7s3nYEbsyVvMfrtmKyQV3zfjHOecuNVdgj3wFuH1GlR1Tg5NhLoLSMkscZA
 xYm5PuQUq0QzN1h84FrJ1hSPkdLTu0bpi8P0BeX+GCHvdydNCGbfDg1oygqjPpHWqd7S
 RaBp7OjFN6J4ILjIa3MQTKrbq+P9VuAG7d92qNlxO/6shdem6O/ivKa0LusRcCaltTzb
 O3n3m3quCaNHdLogCsY4LGtU1fvc4RiCemvkFRwrcpEKO2iT5hUst3j/b4XXdJica8UJ yQ== 
Received: from iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com
 (iadpaimrmta02.appoci.oracle.com [147.154.18.20])
 by mx0b-00069f02.pphosted.com (PPS) with ESMTPS id 3fwf6c6yy1-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 10 May 2022 15:30:50 +0000
Received: from pps.filterd
 (iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com [127.0.0.1])
 by iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com (8.16.1.2/8.16.1.2)
 with SMTP id 24AFRG9L010930; Tue, 10 May 2022 15:30:50 GMT
Received: from nam04-mw2-obe.outbound.protection.outlook.com
 (mail-mw2nam08lp2176.outbound.protection.outlook.com [104.47.73.176])
 by iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com with ESMTP id
 3fyg6dnjmy-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 10 May 2022 15:30:50 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=T5fTzak+2nJCC31L2O98YwycYs0i8CApebecNhSixJwNC2RDyZnlVYJ1SPTYIvU8xB1slo9eaR2MBPkCwqrS7Y1D8Fi/LHhZicYGq5Ykj//r74pSHkOWNd0FpbV3qaRTITU5HpQFAYlyALpLJTVaeOCTCae9OD5K8TUSSnV/KogddscYHopejycIttU6Mf3w+YJjFz4UJO2WISx7fFXJ/VjhEnTnvWzkUyQHiwP58kCvqcojA+fW4sTEjlTeetal2ViX/Rz+Ei1iZx6K2ab6ZIDVkyoqkJ1Mnqq7oaPooZ2W4/9gKFiDxLcJO4yqQ8y0m3gWCs73qn/6nLDlSqCkIQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=98bump1IeMqnbIsebrNbGOwffnPyZdWhlmpdHHUgp+Q=;
 b=agLf8OvLs1XyHqxYaZQtdBiDzN4V9eK/EzDE3XtZ81BZX71h+BU9epb7Lr1XSevYk81mitE9SzOPn9DYtwJ2RJiv1/dWCZnzuz1T1DEZd9p5YE9FkAVsMoYhGkVLV0TA175UG+xcqJV8htyxx/OIB4BXS0u5RsyBrshPSkTeA9iFsTe1XCmFqbQHhsVQnjnVCB1NFs5yDjsdIurh2pgZwq7JfiCoBHoX0QDSQadyGZonjl1WiLwEr72znVUkbLe22ZFbmpSngY/UJADF8idFq1oUvByjPTALQ6xHjunctBFnbOs4YcGg1+50HqoKdF9BaELbxg16svFmZY9XEg/sJw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=98bump1IeMqnbIsebrNbGOwffnPyZdWhlmpdHHUgp+Q=;
 b=OiFvFkeyWXYn0qTB9NxdE3TW3mXlNyI9JNIOKAq26zO8sBwSkJ4PyISjOnyacSJK3PBx7mETCOIl22EwugxAXEtuf04kV0uAVO76sTnc3SwcvoatZnkvC1bzYZl31zglz77n7w8sbez+amK2URVLEr1dgLExQ4lIr936yUUfiyI=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by PH0PR10MB5401.namprd10.prod.outlook.com (2603:10b6:510:e8::17)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5227.23; Tue, 10 May
 2022 15:30:47 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::a0e7:5f38:ab50:5123]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::a0e7:5f38:ab50:5123%9]) with mapi id 15.20.5227.023; Tue, 10 May 2022
 15:30:47 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : Re: bug#14084: 24.3.50; `substitute-command-keys':
 allow for expansion of <remap>...
Thread-Topic: [External] : Re: bug#14084: 24.3.50; `substitute-command-keys':
 allow for expansion of <remap>...
Thread-Index: AQHYZHACUAx8WYU35EufTrHvRPg01a0YOl1w
Date: Tue, 10 May 2022 15:30:47 +0000
Message-ID: <SJ0PR10MB548869709F38920B24DE05AAF3C99@HIDDEN>
References: <A775742E24DA4D6E89AB465FF5859E6A@HIDDEN>
 <87y1z9h6nh.fsf@HIDDEN>
In-Reply-To: <87y1z9h6nh.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 85645acd-4275-4d6d-7f8e-08da329a0e98
x-ms-traffictypediagnostic: PH0PR10MB5401:EE_
x-microsoft-antispam-prvs: <PH0PR10MB5401A7FA4BF4AB7FF1A6B7EAF3C99@HIDDEN>
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: CcnN910XAo3bQFxLS9h0UhijjFggVczGtyYt0Wg61ZY5T7h7z54zF9KV7Cb8IA4/2iEWcDPpE6URq0MLAbqwu7co90+XxlXhgKKK0PntRdgr4TXnQDcgX17VEOTijyc7p4l+aaDqSdlv9/ujSaVY+P4oyY1u/YPxdNfvDPRMfEKNduYQCu6ZK+120HEDfBmHz3oGJ7E6h+HJXGvVFIcJCgQshUph5G9XTO665ThjxEfTn4EwSzv77Xo8gdhhJAr5A5g9wbB8DabJOxny/m3FEFI1H0LpbpZaxY+hT++ad7BX/4uoa+Qpv5q75TtSIJ2qLJFiZAL7egvrym5oudYrOLB0TtNu0h8pWL1JTe+VQRzSBa1MQekZzme9+BIDUx1v9QW2R+coR9N2Zx3kV2y/qTYp0FXN9poUy0XUBzCqdsf7jgWU7mK97lCEETQ6dAYsupI2PXUcsVYL8O2LLj04MQp/ReNnvOfvtqYgmdpQk+wH7Ywv0qcZOYj9AMsvmYCYoERf7OqVAZQyKlobfsVnPitDJf8cFETU+zDzrnXKQU+OjviiQbXM9VmfQfvmdDS/rYYIaDmAgevDna2LGO+IROHJxOr3DvJaCRE/0fcXaVy1YWKAheNC6mZbThIPhT3zobyiivKUi7BMFd5DWdCX025CGh1nBKX9cL689sOhVsyBS6Ho54kesSb1pcgEfEyJCrHcSE8rVoufSjY/VziW+UawPTWSdseBKnZa7nTJjXo=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230001)(366004)(5660300002)(71200400001)(508600001)(6506007)(86362001)(8936002)(33656002)(7696005)(52536014)(2906002)(44832011)(83380400001)(316002)(26005)(55016003)(9686003)(38070700005)(38100700002)(122000001)(186003)(66476007)(66946007)(66556008)(76116006)(6916009)(66446008)(64756008)(8676002)(4326008)(81973001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?utf-8?B?MzdHRTV4elZJVG9NMS9tbHVkRCtRcXpraDhwc2lvTkkxMTVjM0VNTm9jNGRC?=
 =?utf-8?B?K2h3TTVHc04zV1BCYU5YUWdSK1JyTzNPZGJESStGdlk0MXZjOUNRZjRyNlRP?=
 =?utf-8?B?aEl0TEp0NHVhWllSRWxONGQwajdMVDBkV0tHdnJPb2pJMFpjT1JyMEh2NDI5?=
 =?utf-8?B?VTdGTE1LWlk4Y1NNS3VlOGdyWXVTNUdralpJVS81Yjc5Yy93QVdWTWsrck5W?=
 =?utf-8?B?UjloOVNYU1A4cTV0cnB3Qmd4L3FaeXRKREZlNUYzVjdpYWJsbCtKUHRIY291?=
 =?utf-8?B?akhnN0toYWVVNEVJUHNUdHpjODBVSnk2NGZaNjlodjBRNkJQcG1HZHpiMnQr?=
 =?utf-8?B?dU1ubEFmODU4Ykh5YndsazlrVXMySmNwOFpjY2N2eUhDWjZrQjlVa2d1OG16?=
 =?utf-8?B?TC9JQWNMSFk5SC94dzFaTlBLOE1XQWpYVmhjNkhETkNlYWVDRkhxZnZzeUhl?=
 =?utf-8?B?SWF4ZzI1eHQ1cDVXZnJTMnJpemtTc2ExdHhVN1hpRDl3SWIzejhUTHBhM2Jl?=
 =?utf-8?B?THN5QTMreUxIdzRmVmRKY1V2ZUVDU3dJV25DbEVyMkRyVEM5bXp3bE8zMkJF?=
 =?utf-8?B?NHIrM1FqOVBFYnFwTFd5eVcvVU1UVHZ0eklsL051WGZudHlWaWQ2d3pGUEpU?=
 =?utf-8?B?NXhRZWp5OFJraTBlTE1XL2RUdnJIQ2FYZVJqMFcrcFI0YTIyWTBBZW9SZTUx?=
 =?utf-8?B?VGNkSWRqV2VNcE5ldm42UFJ2NUFZYXYvZWxmVTAxZDhiUVViTHRvQ0NreS9X?=
 =?utf-8?B?NUpoNEFaaHM5b3pXTXlqVkxOMTBpRmJXckRGenFtWkkzT054aEpHenl2Z05v?=
 =?utf-8?B?cUJWVkQ2QkJBTjRFZ0NnS3FpN1ZNcWtMQlpBUmxRZ2hFTE1QVXRscFhvLzJu?=
 =?utf-8?B?OWh6bEFDKzJMc0MwWlJUUVNDbVJ2MVVHYkJOS0dtRDRiRHVnQ2JRTXlvbm1X?=
 =?utf-8?B?b20rQ1E5ZzR0djlPanRBZXlIdmh4UXl0NmxwNW9paERwbXhIRGlJZzRZM0FC?=
 =?utf-8?B?amNRT2lCR3BhNjJjeDhwQVd2WFNoTVkwQlJHK09kcXFjL1dDUTVVL2xOc3Uv?=
 =?utf-8?B?UE56YWtnTDJ6WHp3RG9GSENaSkR2ZWMwMHN2TlRENi92dkkxMW54VlY4Zm9w?=
 =?utf-8?B?YnIvcDBkZ3RkWGViOW1mUjBsR1NjMUUwYWVhR3R5OVZHZGNvN0Zsd0orRStn?=
 =?utf-8?B?d3FwbUdscmF5S1IvMnVVRlY0ZG1qNm1sbzlKZ0MwTzBRZXZiRTBNQU9acXoz?=
 =?utf-8?B?Ni9KSjNtSGhtK1F2MFpabnVNU3ppWnp1ZVNDZUcyVDVRTzgzQUV6KzdVdHJU?=
 =?utf-8?B?U2lCMDJnY2dGbDZIb1dJZ2RldmdDaE95VnNaaGZ6eWhrZGFZbVJMbmlqUVRI?=
 =?utf-8?B?KzVhQTVQSmg3c21iemNRUDA1V0FuMm8yczc2aE5vN0RxN1FsZXVqOWdFSVlm?=
 =?utf-8?B?dU9LNkQybUdsYm9XVHNmakZGczZaKy9rbjJzaXZVRlF3cGF2cGxvUUVKbGIx?=
 =?utf-8?B?NkxxTXBiVC9GWXBjZEF3N1RuREVELzRUR3MwUkx5Z1h1OTEvTGt2akw0NkdT?=
 =?utf-8?B?R1ZnbFBPREpVY2lhVWpEcU5ubk1GZDlsVUpNMlgxK1g0dlZvcmpRSVRRRGVv?=
 =?utf-8?B?dzR4QlVHenc2cEFaU3hIWWtUZzVtUGZaeit1VFlYUi9wN1A5YWZKd0gyYjc3?=
 =?utf-8?B?aFd5MHB6RzZtczEvbzRwVWM2VzdjUUp4dTBmWi9oRVJMeitWNjROaDk1enRL?=
 =?utf-8?B?YXMxZEtjRTZOTWhSemVXa09MREhXczRCU2liZVRIWGx2UVpBQ0JHc2tlSnBY?=
 =?utf-8?B?MWV4aGRWdVhFK2dlVkltZU11TCtUK0UxclJtTkNoZXBVTFNTWjNndFk5OUFm?=
 =?utf-8?B?QjZoSDVTcHNiMGV4YnBhVXZncmNIbDhqMTFhUzduZk5kMmNFeVdJZmU5MWFJ?=
 =?utf-8?B?OFQrUUVmYVVUK2RrYmlIR1NyZjF3Z08zQm1vR1NNdWlyM2RUUDduTjdaMTRU?=
 =?utf-8?B?U24yZDNKUXZjMTJESmJrNHZWclp5bUdrazFqVjBTSDFZUUEvcTZYRGZJeksr?=
 =?utf-8?B?THpjL2RJSFFiUjVRM2tqUzZ4YUI4MWhvaWJEemhxSmxtd0xJdEFCN0JxS1pC?=
 =?utf-8?B?VlZFSnQ0Z01VSVBobXVmeC9yNGhDZHNpemdtQjRrNlQ4Y1AzdjNKMkNGbGd2?=
 =?utf-8?B?NGNTaWg4Ky91bnZld084czRsSGFPemV4TndLMHRwYkhIR1M0OEtrSSs4WEVT?=
 =?utf-8?B?ZlJ5eHhKVkFJcVB2TGdtdU0wUWRjRW1rcEo0enBmU1pGSWx2VzdFcUwzVHE5?=
 =?utf-8?B?WnVVbGhNK1IvK1N6WU85eC91N1BDVzFtdzhicG5iZjZRTFVsQ3RsZz09?=
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 85645acd-4275-4d6d-7f8e-08da329a0e98
X-MS-Exchange-CrossTenant-originalarrivaltime: 10 May 2022 15:30:47.7417 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: otXSUGc98Qt3n8qgf4N1n8abqbEiymW+Q0RMtmsrwLHtqo9xd+8Q3RNPaHCAobWjdOKi83031xxxJYHsUzmE5g==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: PH0PR10MB5401
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.486, 18.0.858
 definitions=2022-05-10_04:2022-05-09,
 2022-05-10 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=999
 malwarescore=0
 mlxscore=0 phishscore=0 spamscore=0 bulkscore=0 adultscore=0
 suspectscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2202240000 definitions=main-2205100069
X-Proofpoint-ORIG-GUID: 3CuXtxV3XHiz39kBVyUCVj8kdkF34oBk
X-Proofpoint-GUID: 3CuXtxV3XHiz39kBVyUCVj8kdkF34oBk
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14084
Cc: "14084 <at> debbugs.gnu.org" <14084 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)
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Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14084; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 14084 <at> debbugs.gnu.org:


Received: (at 14084) by debbugs.gnu.org; 10 May 2022 13:14:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 09:14:12 2022
Received: from localhost ([127.0.0.1]:60669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noPgp-0003Ld-U6
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 09:14:12 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54980)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1noPgo-0003LO-Kh
 for 14084 <at> debbugs.gnu.org; Tue, 10 May 2022 09:14:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=CmNPBpKHzWYEYJDFK06DXgnaunu0qT0Yqjg64NSR5Og=; b=hy9Q4i2cw2ht5pOMA63LeVqOZ3
 +IFQpd+PRG1j9CRKJ4DFnBzHXdmbU57JQUwFzUPoTZqVoZHFU2nZKC7aMMVQ5AhxX2minyI0MyAYt
 Z9tKhxxSnZ84A1/NKEicMFqRZlgdLKLg8aYzd5pSEpuM877XGOiwRafStaKEU9/EJcP4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1noPgb-0003oi-Mf; Tue, 10 May 2022 15:14:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#14084: 24.3.50; `substitute-command-keys': allow for
 expansion of <remap>...
References: <A775742E24DA4D6E89AB465FF5859E6A@HIDDEN>
X-Now-Playing: Joni Mitchell's _Hejira_: "Song For Sharon"
Date: Tue, 10 May 2022 15:13:54 +0200
In-Reply-To: <A775742E24DA4D6E89AB465FF5859E6A@HIDDEN> (Drew Adams's
 message of "Thu, 28 Mar 2013 22:17:02 -0700")
Message-ID: <87y1z9h6nh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Drew Adams" <drew.adams@HIDDEN> writes: > In a
 particular
 mode, suppose code remaps a command, such as > `reposition-window', to a
 command `foo'. `substitute-command-keys' > shows that fact only this way:
 > > <remap> <reposition-window> foo [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 14084
Cc: 14084 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Drew Adams" <drew.adams@HIDDEN> writes:

> In a particular mode, suppose code remaps a command, such as
> `reposition-window', to a command `foo'.  `substitute-command-keys'
> shows that fact only this way:
>
>  <remap> <reposition-window>     foo
>
> That can be good information to show users, provided the currently
> active bindings of `reposition-window' are known to them.  If not, it
> just obscures things.

This information is displayed in different ways in different contexts.
With this test case:

(keymap-local-set "C-c c" #'foo)

(keymap-local-set "<remap> <foo>" #'bar)

(defun foo ()
  (interactive)
  "Call with \\[foo]."
  (message "foo"))

(defun bar ()
  (interactive)
  "Call with \\[foo]."
  (message "bar"))

C-h b (for instance) says

<remap> <foo>	bar
C-c c		foo

while C-h f foo RET says

Its keys are remapped to =E2=80=98bar=E2=80=99.  Without this remapping, it=
 would be
bound to C-c c.

I think the `C-h b' output could perhaps be reorganised, because bar and
foo frequently are displayed far apart, so the person looking for the
key for bar would have to look around.

We could, for instance, add an extra line here.

But did you have other contexts in mind?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14084; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Mar 2013 05:19:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 29 01:19:50 2013
Received: from localhost ([127.0.0.1]:50420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ULRjB-0006sa-Ql
	for submit <at> debbugs.gnu.org; Fri, 29 Mar 2013 01:19:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38407)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1ULRj9-0006sT-Kz
	for submit <at> debbugs.gnu.org; Fri, 29 Mar 2013 01:19:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1ULRge-0005I6-0F
	for submit <at> debbugs.gnu.org; Fri, 29 Mar 2013 01:17:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-105.5 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_MED,
	RP_MATCHES_RCVD, UNPARSEABLE_RELAY, USER_IN_WHITELIST autolearn=disabled
	version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:36798)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1ULRgd-0005I2-T1
	for submit <at> debbugs.gnu.org; Fri, 29 Mar 2013 01:17:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49769)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1ULRgc-0007Wf-QX
	for bug-gnu-emacs@HIDDEN; Fri, 29 Mar 2013 01:17:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1ULRgb-0005Hg-NV
	for bug-gnu-emacs@HIDDEN; Fri, 29 Mar 2013 01:17:10 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:19801)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <drew.adams@HIDDEN>) id 1ULRgb-0005HX-G6
	for bug-gnu-emacs@HIDDEN; Fri, 29 Mar 2013 01:17:09 -0400
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
	by userp1040.oracle.com (Sentrion-MTA-4.3.1/Sentrion-MTA-4.3.1) with
	ESMTP id r2T5H6UT013561
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <bug-gnu-emacs@HIDDEN>; Fri, 29 Mar 2013 05:17:07 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	r2T5H5Xb014172
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO)
	for <bug-gnu-emacs@HIDDEN>; Fri, 29 Mar 2013 05:17:05 GMT
Received: from abhmt120.oracle.com (abhmt120.oracle.com [141.146.116.72])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	r2T5H55H030315
	for <bug-gnu-emacs@HIDDEN>; Fri, 29 Mar 2013 00:17:05 -0500
Received: from dradamslap1 (/10.159.148.114)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Thu, 28 Mar 2013 22:17:05 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.3.50; `substitute-command-keys': allow for expansion of <remap>...
Date: Thu, 28 Mar 2013 22:17:02 -0700
Message-ID: <A775742E24DA4D6E89AB465FF5859E6A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
Thread-Index: Ac4sPKUkbpt35nnRSF+42h72HbVuOw==
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

In a particular mode, suppose code remaps a command, such as
`reposition-window', to a command `foo'.  `substitute-command-keys'
shows that fact only this way:
 
 <remap> <reposition-window>     foo
 
That can be good information to show users, provided the currently
active bindings of `reposition-window' are known to them.  If not, it
just obscures things.
 
And `substitute-command-keys' might be called from a particular mode
(and several minor modes might be current etc.), so that it might not be
accurate or sufficient for a user to resort to `M-x where-is
reposition-window' to try to find out what <remap> corresponds to in the
context of the call to `substitute-command-keys'.
 

Please add an optional arg to `substitute-command-keys' that changes the
behavior.  Please allow for these 3 possibilities:
 
1. Follow the current behavior (it could be the default): show only the
<remap> entry.
 
2. Show instead a key binding entry for each actual-key binding caused
by the remapping.  IOW, expand <remap> into one or more actual-key
bindings.  Handle remap of remap the same way.  IOW, the output would
not show any <remap> entries, but would show only their expansions.
 
3. Show both the <remap> entries and their expansions, i.e., #1 + #2.
 
4. Alternatively, the <remap> entries could be links/buttons that when
followed expand to actual-key bindings (in place, within the same
overall list of bindings).  One difference (advantage & disadvantage)
with this approach would be the order of the keys in the buffer.
 
Note that with the introduction of things like <remap> we are now
farther afield from the claimed behavior (and the intention) of
`substitute-command-keys':
 
  \[COMMAND] is replaced by either a keystroke sequence that
  invokes COMMAND, or "M-x COMMAND"
 
<remap>... is technically a "keystroke sequence" in one sense (it is a
key binding, at least), but in another sense it is not what the user
expects.  When <remap> was added we more or less just punted wrt
`substitute-command-keys' - we didn't really finish the job.
 
 
 

In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-03-23 on VBOX
Bzr revision: 112115 eliz@HIDDEN
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/emacs/libs/libXpm-3.5.10/include -IC:/emacs/libs/libXpm-3.5.10/src
 -IC:/emacs/libs/libpng-dev_1.4.3-1_win32/include
 -IC:/emacs/libs/zlib-dev_1.2.5-2_win32/include
 -IC:/emacs/libs/giflib-4.1.4-1-lib/include
 -IC:/emacs/libs/jpeg-6b-4-lib/include
 -IC:/emacs/libs/tiff-3.8.2-1-lib/include
 -IC:/emacs/libs/libxml2-2.7.8-w32-bin/include/libxml2
 -IC:/emacs/libs/gnutls-3.1.10-w32/include
 -IC:/emacs/libs/libiconv-1.14-2-mingw32-dev/include'
 





Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#14084; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 9 Jun 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.